#include "dcdialog.ch"
#include "common.ch"

function main

  S_Confirm({'Please test this.',alltrim(dc_VersionExpress(0))+' Build '+alltrim(dc_VersionExpress(3))})

  S_Confirm({alltrim(dc_VersionExpress(0))+' Build '+alltrim(dc_VersionExpress(3))})

  return nil


FUNCTION S_Confirm(xMessage, nOption, cTitle, cFont, cIcon, oDialog, oOwner, nSeconds )
  LOCAL lOption, nRow, nCol, aMenuId, cMenuName, cHotKey

  DEFAULT nOption TO 1
  DEFAULT cTitle TO 'Confirmation'
  DEFAULT cIcon TO 'Q'
  DEFAULT nSeconds TO 0
  
  DEFAULT oOwner TO SetAppWindow()

  IF valtype(xMessage) == 'C'
    xMessage := {xMessage}
  ENDIF

  lOption := S_MsgBoxNew ( nRow, nCol, xMessage, cTitle, .F., nSeconds, .F.,;
                           @nOption, {'~Yes','~No'}, aMenuId, cMenuName, cHotKey, cFont, cIcon, oOwner)

//  WTF lOption pause

  RETURN NIL


STATIC FUNCTION S_MsgBoxNew ( nRow, nCol, aMessage, cTitle, lWait, nSeconds, lYesNo,;
                        nChoice, aItems, aMenuId, cMenuName, cHotKey, cFont, cSys_Icon,oOwner)

  LOCAL lHorizButtons := .T., nIcon
  LOCAL bEval, lNoRestore, lAlwaysOnTop, aColor, aButtSize := {95,24}

  DEFAULT lYesNO TO .F.

  IF empty(aItems) .OR. lYesNo
      aButtSize := {}
  ENDIF
 
  DO CASE
    CASE  lYesNo
      nIcon := XBPSTATIC_SYSICON_ICONQUESTION
    CASE cSys_Icon = "I"
      nIcon := XBPSTATIC_SYSICON_ICONINFORMATION
    CASE cSys_Icon = "E"
      nIcon := XBPSTATIC_SYSICON_ICONERROR
    CASE cSys_Icon = "Q"
      nIcon := XBPSTATIC_SYSICON_ICONQUESTION
    CASE cSys_Icon = "W"
      nIcon := XBPSTATIC_SYSICON_ICONWARNING
    OTHERWISE
      nIcon := XBPSTATIC_SYSICON_ICONINFORMATION
  ENDCASE

  RETURN dc_msgbox ( nRow, nCol, aMessage, cTitle, lWait, nSeconds, lYesNo,;
                     @nChoice, aItems, aMenuId, cMenuName, cHotKey, cFont, ;
                     bEval, nIcon, lNoRestore, lAlwaysOnTop, aColor, ;
                     aButtSize, lHorizButtons, oOwner )
